function V = ReadBRIK(fname,xdim,ydim,zdim,timepoints,type,byteswap)
% ReadBRIK function to read 3D+time AFNI BRIKs
% of any type and dimensionality
%
% Example:
% brikfname = 'ASt3avvr+orig.BRIK'
% BRIKDATA = ReadBRIK(brikfname,64,64,16,100,'short');
% BRIKDATA is now a 4D matrix (xdim,ydim,zdim,timepoint)
%
%% $Id: ReadBRIK.m,v 1.2 2005/04/14 21:53:40 ybehzadi Exp $
% Written December 4, 1998 by Timothy M. Ellmore
% Laboratory of Brain and Cognition, NIMH

disp(' ')
disp('**********************************')
disp(' ')
disp('ReadBRIK: reading raw data . . . .')
if ~exist('byteswap');byteswap = 1;end;
if byteswap
     fid = fopen(fname, 'r','b');
else
     fid = fopen(fname, 'r');
end

data = fread(fid, [xdim * ydim * zdim * timepoints], type);
fclose(fid);
disp('ReadBRIK: done reading raw data !')
disp(' ')

disp('ReadBRIK: reshaping raw data to 3D+time matrix. . . .')
V = reshape(data,xdim,ydim,zdim,timepoints);
disp('ReadBRIK: done reshaping raw data to 3D+time matrix !')
disp(' ')
disp('**********************************')

