function Bout = d3(B,scale);
 
%function Bout = d3(B);
%  
%  Handles ND data
% 
%  revision history
%  
%   021103 ttl  added 4th dimension  handling
%   030815 ttl  modify to handle odd lengthed time series  
%   041203 yb	modified initialization of Bout
%   051013 yb   completely rewritten to use matrix filter, scaling issue
%               fixed
%
%$Id: d3.m,v 1.4 2005/10/25 17:35:26 ybehzadi Exp $  
  
if ~exist('scale'); scale = 1.0;end

sZ      = size(B);
dim     = length(sZ);

if dim==2 & sZ(1)==1
   B    = B(:); 
   sZ   = size(B);
end

Brs     = reshape(B,prod(sZ(1:end-1)),sZ(end));

if dim>=3 
    Brs = Brs'; 
end

%define d3 filter, basically modulated a3 filter
h       = [1 2 1]/2; 
T       = size(Brs,1);
eT      = eye(T);
Dt      = eT(1:2:end,:); 
Dc      = eT(2:2:end,:);
Ut      = eT(:,1:2:T);   
Uc      = eT(:,2:2:T);
M       = -1*Ut*Dt+Uc*Dc;
hlen    = length(h);
hmid    = ((hlen+1)/2);
G       = toeplitz([h(:); zeros(T-hmid,1)],[h(1) zeros(1,T-1)]);
G       = G(hmid:(T+hmid-1),:);
Bout    = G*M*Brs;

%fix ends, pair-wise subtraction
Bout([1 T],:)   = (Brs([2 T],:)-Brs([1 T-1],:));
if mod(T,2)~=0 %flip subtraction if odd number of total points
   Bout(T,:)    = -Bout(T,:); 
end
    
if dim>=3
     Bout       = reshape(Bout',sZ);
end

Bout            = scale*Bout;
