function roiS = drawRoiS(underLay,rotN,imFlag,rgbFlag)
% usage:
%   roiS = drawRoiS(underLay,rotN,imFlag,rgbFlag)
% Draws an roi with roipoly for multislice data
%
% Input:
%   underLay - image to draw roi on, can be RGB data as well
%   rotN     - rotate the roi by integer rotN, defualt is 0
%   imFlag   - display image using imagesc before drawing (needed for gray
%   scale images), default is 0
%
% Output:
%   roiS     - multislice roi
%
% Copyright (c) 2004 CUPID
% Author: kal
% $Id: drawRoiS.m,v 1.7 2007/01/12 21:37:24 jperthen Exp $
% End History:

% ruler
% --1234567890123456789012345678901234567890123456789012345678901234567890

if ~exist('rotN')       | isempty(rotN)         rotN=0;                 end
if ~exist('imFlag')     | isempty(imFlag)       imFlag=0;               end
if ~exist('rgbFlag')    | isempty(rgbFlag)      rgbFlag=0;              end


sD = size(underLay);

if rgbFlag & ndims(underLay)==3
    nSlice = 1; 
else
    nSlice = sD(end); 
end

roiS=[];
for cntSlice = 1:nSlice
    disp('press enter when finished drawing roi on this slice')
    h=figure; 
    if rgbFlag
        bw = roipoly(underLay(:,:,:,cntSlice));
    elseif imFlag
        imagesc(underLay(:,:,cntSlice));colormap gray;
        bw = roipoly;
        close(h);
    else
        bw = roipoly(underLay(:,:,cntSlice));
    end
    roiS=cat(3,roiS,rot90(double(bw),rotN));
end