function [rawData,headinfo]=getBrik(name,ind,typeData)
% getBrik - simply gets the 4D brik
% 
% Usage: rawData=getBrik(name,ind,type)
% 
% Input:
%    name       - name of brik file
%    ind        - flag to switch between little and big endian (default=0)
%    typeData   - string defining data type 'default=int16', 'int8', etc 
%
% Output:
%    rawData    - 4-D raw brik data
%    out2       - description2
% 
% Restrictions:
%    1.
%    2.
% 
% Notes:
%    1. 
%    2.
% 
% References:
%    1.
% 
% Examples:
%    1. [out11,out21,...] = test(in11,in21,...)
%           shows how to...
% 

% Copyright (c) 2004 CUPID
% Author: yashar      12/14/04
% History:
%  $Log: getBrik.m,v $
%  Revision 1.4  2005/10/18 21:37:11  ybehzadi
%  header info passed out
%
%  Revision 1.3  2005/04/27 00:11:54  ybehzadi
%  setup standard default cases
%
%  Revision 1.2  2005/01/26 21:55:10  krestom
%  fixed linux compatibility (head-->HEAD)
%
%  Revision 1.1  2005/01/15 00:20:30  ybehzadi
%  initial submission of CUPID functions
%
% End History:

% ruler --1234567890123456789012345678901234567890123456789012345678901234567890

if ~exist('ind')        | isempty(ind)      ind=0;                 end
if ~exist('typeData')   | isempty(typeData) typeData='int16';      end

hname       = [name,'.HEAD']; %%kal 050126
bname       = [name,'.BRIK']; %%kal 050126
%read header information
headinfo    = ReadAFNIHead(hname);
%read brik...
rawData     = ReadBRIK(bname,headinfo.xdim,headinfo.ydim,...
    headinfo.zdim,headinfo.nvols,typeData, ind);


