function mask = thremask(im,thresh,pflag,sflag);
%
%
%  mask = thremask(im,thresh,pflag,sflag);
%
%  sflag - looks for maximum for thresholding on a slice-by-slice basis
%
%$Id: thremask.m,v 1.4 2004/12/01 23:33:24 ttliu Exp $


if ~exist('sflag')      | isempty(sflag)    sflag=1;   end


if pflag ==  0; % ABSOLUTE THRESHOLDING

   mask = (im > thresh);

elseif pflag == 1 % PERCENTAGE THRESHOLDING
  if ((length(size(im)) == 2) | sflag == 0)
      mask = zeros(size(im));
   mask = (im > thresh*max(im(:)));
  else
    nslices = size(im,3);
    mask = zeros(size(im));
    for islice = 1:nslices
%         if sflag == 1
            mask(:,:,islice) = (im(:,:,islice) > thresh*mmax(im(:,:,islice)));
%         elseif sflag == 0
%             mask(:,:,islice) = (im(:,:,islice) > thresh*mmax(im(:)));
%         end
    end
  end    
end
